package github.benjamin.equipreservebackend.controller;

import github.benjamin.equipreservebackend.mapper.TeamMapper;
import github.benjamin.equipreservebackend.response.ResponseResult;
import github.benjamin.equipreservebackend.service.TeamService;
import github.benjamin.equipreservebackend.vo.TeamVO;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping
@RequiredArgsConstructor
public class TeamController {

    private final TeamService teamService;

    @GetMapping("/teams")
    public ResponseResult<List<TeamVO>> getTeams() {
        return ResponseResult.success(teamService.getTeams());
    }

}
